Loading...
Searching...
No Matches
mbedtls_psa_cipher_operation_t Struct Reference

`#include <crypto_builtin_primitives.h>`

Collaboration diagram for mbedtls_psa_cipher_operation_t:
[legend]

## Data Fields

psa_algorithm_t | private_alg
uint8_t | private_iv_length
uint8_t | private_block_length
union { |
unsigned int private_dummy |
mbedtls_cipher_context_t private_cipher |
} | private_ctx

## Detailed Description

Definition at line 101 of file crypto_builtin_primitives.h.

## Field Documentation

## private_alg

psa_algorithm_t mbedtls_psa_cipher_operation_t::private_alg

Definition at line 103 of file crypto_builtin_primitives.h.

## private_block_length

uint8_t mbedtls_psa_cipher_operation_t::private_block_length

Definition at line 105 of file crypto_builtin_primitives.h.

## private_cipher

mbedtls_cipher_context_t mbedtls_psa_cipher_operation_t::private_cipher

Definition at line 108 of file crypto_builtin_primitives.h.

## [union]

union { ... } mbedtls_psa_cipher_operation_t::private_ctx

## private_dummy

unsigned int mbedtls_psa_cipher_operation_t::private_dummy

Definition at line 107 of file crypto_builtin_primitives.h.

## private_iv_length

uint8_t mbedtls_psa_cipher_operation_t::private_iv_length

Definition at line 104 of file crypto_builtin_primitives.h.

The documentation for this struct was generated from the following file:

- crypto_builtin_primitives.h